News
News keeps your users up-to-date about current events surrounding your network.
Retrieves a collection of news.
Retrieves a single newsitem.
Creates a new newsitem. Only available to API keys without user authentication. When an image tag is included in the content field, these files are downloaded. They need to be publicly accessible. We support PNG and JPEG image file types.
Updates an existing newsitem. Only available to API keys without user authentication.
Deletes a single newsitem. Only available to API keys without user authentication.
GET https://api.bundeling.com/V2/news/:uuid Parameters Url Name Description Type uuidA unique identifier used to identify a newsitem string
Includes Name Description Endpoint categoryRetrieves information about the category of the news article NewsCategories authorRetrieves information about the author of the news article Users likesRetrieves list of likes on news article Likes likes.authorRetrieves information about the user of the like on the news article Users likedRetrieves if logged in user liked the news article Likes commentsRetrieves list of comments on news article Comments comments.authorRetrieves information about the author of the comment on the news article Users social_sharesRetrieves SocialSharing stats from news article SocialSharing social_shares.userRetrieves information about the user of the SocialSharing stats from news article Users readRetrieves if logged in user has the news article marked as read ReadStatus referencesRetrieves information about references linked to item ObjectHasReference references.objectRetrieves the object the reference is linked to ObjectHasReference filesRetrieve information about the Files attached to the news article Files
Actions Name Description Resettable pushbroadcast_1_1News item push notification to all users on publication date true
Example request Raw cURL JavaScript PHP Python Go Choose language
Headers Example response {
"uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
"author_uuid": "d7743aaf53224e279853c7d0c1dbfb3a",
"headerimage": "eyJjbGllbnQiOjEwLCJwYXRoIjoiYnVsbGV0aW5fYm9hcmRfcGljdHVyZXNcLz...",
"title": "Welcome to Bundeling",
"content": "Bundeling would like to welcome...",
"language": "en",
"category": "Technology",
"category_uuid": "8e09c4749b234633a7319148aac8cb81",
"event_uuid": "d669b048d2084892b5a5232b78923227",
"sponsor_uuid": "48b99d307f8746a8b126f76be5d1153e",
"link": "www.ecom.nl",
"social_sharing": true,
"draft": false,
"actions": {
"pushbroadcast_1_1": {
"enabled": true,
"executed": false
}
},
"publicationdate": "2026-07-03T00:00:00+0200",
"external_reference": "123908",
"labels": [
"d7743aaf53224e279853c7d0c1dbfb3a",
"d7743aaf53224e279853c7d0c1dbfb3a"
],
"combined_labels": {
"uuid": "d7743aaf53224e279853c7d0c1dbfb3a",
"labels": [
"d7743aaf53224e279853c7d0c1dbfb3a",
"d7743aaf53224e279853c7d0c1dbfb3a"
]
},
"creationdate": "2026-04-03T00:00:00+0200",
"lastupdate": "2026-04-03T00:00:00+0200"
}